Bug 134323 - [MAINTAINER] mail/bogofilter*: update to 1.2.0
Summary: [MAINTAINER] mail/bogofilter*: update to 1.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-07 01:30 UTC by Matthias Andree
Modified: 2009-05-13 09:50 UTC (History)
0 users

See Also:


Attachments
file.diff (3.39 KB, patch)
2009-05-07 01:30 UTC, Matthias Andree
no flags Details | Diff
bogofilter-ports-20090511T2257Z.diff.gz (1.22 KB, application/x-gzip)
2009-05-12 00:03 UTC, Matthias Andree
no flags Details
bogofilter-ports-20090511T2257Z.tar.bz2 (3.57 KB, application/bzip2)
2009-05-12 00:03 UTC, Matthias Andree
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree 2009-05-07 01:30:01 UTC
- Update to 1.2.0, resetting PORTREVISION where set.
- use bsd.database.mk framework (USE_BDB/USE_SQLITE)
- set MAKE_JOBS_SAFE for parallel builds
- fix upstream buglet in sed script through patch (see below).

Note that this patch changes three ports

Added file:
- files/patch-src-tests-tframe

Diffstat:
 bogofilter-sqlite/Makefile              |    2 +-
 bogofilter-tc/Makefile                  |    1 -
 bogofilter/Makefile                     |   20 +++++++++-----------
 bogofilter/distinfo                     |    6 +++---
 bogofilter/files/patch-src-tests-tframe |    8 ++++++++
 5 files changed, 21 insertions(+), 16 deletions(-)

Generated with FreeBSD Port Tools 0.77
Comment 1 Martin Wilke freebsd_committer 2009-05-07 06:25:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Matthias Andree 2009-05-12 00:03:11 UTC
Hi Martin,

find attached a new patch and also a tarball of the ports, in case  
patching fails again.
cd to .../ports/mail and then apply with patch -p4.

Note that bogofilter-tc/Makefile had to be updated after an unrelated  
commit from http://www.freebsd.org/cgi/query-pr.cgi?pr=134057

Hope it works out this time, and sorry for the mess.

-- 
Matthias Andree
Comment 3 Martin Wilke freebsd_committer 2009-05-13 09:49:51 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2009-05-13 09:49:56 UTC
miwi        2009-05-13 08:49:43 UTC

  FreeBSD ports repository

  Modified files:
    mail/bogofilter      Makefile distinfo 
    mail/bogofilter-sqlite Makefile 
    mail/bogofilter-tc   Makefile 
  Added files:
    mail/bogofilter/files patch-src-tests-tframe 
  Log:
  - Update to 1.2.0, resetting PORTREVISION where set.
  - use bsd.database.mk framework (USE_BDB/USE_SQLITE)
  - set MAKE_JOBS_SAFE for parallel builds
  
  PR:             134323
  Submitted by:   Matthias Andree <matthias.andree@gmx.de> (maintainer)
  
  Revision  Changes    Path
  1.6       +1 -1      ports/mail/bogofilter-sqlite/Makefile
  1.7       +0 -1      ports/mail/bogofilter-tc/Makefile
  1.89      +9 -11     ports/mail/bogofilter/Makefile
  1.56      +3 -3      ports/mail/bogofilter/distinfo
  1.1       +8 -0      ports/mail/bogofilter/files/patch-src-tests-tframe (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"